Create project namespace alias "COM" for Commons
Closed, ResolvedPublic

Description

Author: Eugene.Zelenko

Description:
Please create a new prefix/namespace COM: for Commons as alias to
namespace Commons: (Project:).

Relevant discussion:

http://commons.wikimedia.org/wiki/Commons:Village_pump#COM_as_alias_for_Commons_namespace


Version: unspecified
Severity: enhancement

bzimport set Reference to bz12600.
bzimport created this task.Via LegacyJan 12 2008, 4:49 PM
brion added a comment.Via ConduitJan 14 2008, 11:19 PM

Conflicts with language code space.

bzimport added a comment.Via ConduitFeb 11 2008, 1:24 PM

anonmoos wrote:

Actually, it only conflicts with language code space if we think that there's a reasonable possibility that a Comanche-language Wikipedia will be established...

brion added a comment.Via ConduitFeb 25 2008, 9:52 PM

While at the moment that language has a very small speaker community, we would certainly not rule it out.

bzimport added a comment.Via ConduitFeb 25 2008, 11:51 PM

brianna.laugher wrote:

The request is only for COM: to be used on Commons, not as a Wikimedia-wide shortcut. Do interwiki links have to work for capitalised codes? I thought they were always lowercase...

In fact it is already used as such, so if a com: project came into existence it would slurp all our shortcuts into interwiki links, would it? That's pretty uncool.

bzimport added a comment.Via ConduitFeb 26 2008, 2:09 AM

bugs wrote:

(In reply to comment #4)

The request is only for COM: to be used on Commons, not as a Wikimedia-wide
shortcut. Do interwiki links have to work for capitalised codes? I thought they
were always lowercase...

Interwiki links are case insensitive.

bzimport added a comment.Via ConduitFeb 26 2008, 2:27 AM

Eugene.Zelenko wrote:

May be we can rename all shortcuts to C: (like M: for meta)? Is C: prefix used for any wiki?

brion added a comment.Via ConduitFeb 26 2008, 10:17 PM

Just type the name, kids. It's not that hard. :)

brion added a comment.Via ConduitMay 1 2008, 5:50 PM
  • Bug 13904 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitJan 4 2010, 8:40 AM

ayg wrote:

In this particular case it seems reasonable to make the shortcut:

  1. Commons doesn't need [[de:Abc]] style interlanguage links, because there's only one Commons.
  1. In the unlikely event we ever get a Comanche Wikipedia, you could link to it using [[w:com:Abc]].
  1. In the really really unlikely event we ever get a Comanche-language Commons or something that really requires [[com:Abc]] to work, hey, what do we have zillions of editors for if not manually fixing stupid stuff like this? They knew what they were asking for, so just change it and let them fix up the fallout.
bzimport added a comment.Via ConduitJan 6 2010, 2:04 PM

anonmoos wrote:

"COM:" is not going to be approved, but there has been some discussion about how "CM:" might be approved as a Commons prefix, since there is no ISO639-1 code CM, and various policies that the list of two-letter ISO639-1 language codes will at best only very rarely be added to in future. Not sure why things haven't progressed further on "CM:" ...

Betacommand added a comment.Via ConduitMay 10 2010, 3:10 PM

Once the community makes their mind up feel free to re-open

MZMcBride added a comment.Via ConduitMay 21 2010, 12:52 PM

(In reply to comment #11)

Once the community makes their mind up feel free to re-open

Huh? Re-opening.

bzimport added a comment.Via ConduitMay 21 2010, 1:14 PM

jeluf wrote:

Has the community decided to use C: or CM: ?

Krinkle added a comment.Via ConduitMay 21 2010, 1:25 PM

I'm not sure.

Here's two links:

This discussion was linked in start of this ticket (archived since here:)
http://commons.wikimedia.org/wiki/Commons:Village_pump/Archive/2008Jan#COM_as_alias_for_Commons_namespace

Another subject the month after:
http://commons.wikimedia.org/wiki/Commons:Village_pump/Archive/2008Feb#Redirect_COM:_to_Commons:

MZMcBride added a comment.Via ConduitMay 21 2010, 3:09 PM

(In reply to comment #13)

Has the community decided to use C: or CM: ?

All of the discussions have been about using "COM:", which is what is used currently for all of the shortcuts. There are no objections from the Commoners.

bzimport added a comment.Via ConduitNov 7 2010, 1:57 AM

rehman.wikimedia wrote:

I recently posted [http://commons.wikimedia.org/w/index.php?title=Commons:Village_pump&oldid=45833982#Pointing_.22COM.22_to_.22Commons.22], thinking that it was never discussed.

I entirely agree with Aryeh Gregor's facts.

To me, the CM: is also good, but far from the common use (i.e. Ask an unsuspecting Commoner whats the short for Commons, and s/he'd say COM). But C: is definitely too short.

Peachey88 added a comment.Via ConduitNov 7 2010, 2:02 AM

(In reply to comment #16)

unsuspecting Commoner whats the short for Commons, and s/he'd say COM). But C:
is definitely too short.

how is it to short, we other single letter interwikis else where (which i hate, and so do a few others), for example W: for wikipedia and Q: for wikiquote.

Krinkle added a comment.Via ConduitNov 7 2010, 2:03 AM

(In reply to comment #16)

To me, the CM: is also good, but far from the common use (i.e. Ask an
unsuspecting Commoner whats the short for Commons, and s/he'd say COM). But C:
is definitely too short.

Why is C: Too short ?

Wikipedia(nl) uses H: and P: for Help and Portal.
Dont see the problem.

bzimport added a comment.Via ConduitNov 7 2010, 2:07 AM

rehman.wikimedia wrote:

(In reply to comment #18)

(In reply to comment #16)
Why is C: Too short ?

Wikipedia(nl) uses H: and P: for Help and Portal.
Dont see the problem.

Oh... I'll take that back... ;)

MZMcBride added a comment.Via ConduitNov 7 2010, 2:10 AM

(In reply to comment #18)

(In reply to comment #16)
> To me, the CM: is also good, but far from the common use (i.e. Ask an
> unsuspecting Commoner whats the short for Commons, and s/he'd say COM). But C:
> is definitely too short.

Why is C: Too short ?

Wikipedia(nl) uses H: and P: for Help and Portal.
Dont see the problem.

I think the better example is m: for Meta (another interproject wiki).

The issue with single-letter prefixes is that they're limited (only 26 Latin alphabet letters to choose from) and they have a tendency to conflict with page titles that already exist. Just looking at the English Wikipedia, http://en.wikipedia.org/wiki/Special:PrefixIndex/C: is used in a quite a few contexts (usually to mean "Category:").

That isn't to say that this blocks this bug from being implemented, but the damage it might cause across all 700+ wikis needs to be properly measured and considered.

There is a similar bug for changing Wiktionary's prefix from "wikt" to a single letter (I can't remember which). I do vaguely remember it not being implemented for similar reasons, though. It might provide valuable lessons to find and read that bug.

bzimport added a comment.Via ConduitNov 7 2010, 2:13 AM

soxred93 wrote:

There is a similar bug for changing Wiktionary's prefix from "wikt" to a single
letter (I can't remember which). I do vaguely remember it not being implemented
for similar reasons, though.

It was d:. For example: [[D:Ream]]

Krinkle added a comment.Via ConduitNov 7 2010, 2:17 AM

(In reply to comment #20)

(In reply to comment #18)
> Why is C: Too short ?
>
> Wikipedia(nl) uses H: and P: for Help and Portal.
> Dont see the problem.

I think the better example is m: for Meta (another interproject wiki).

The issue with single-letter prefixes is that they're limited (only 26 Latin
alphabet letters to choose from) and they have a tendency to conflict with page
titles that already exist. Just looking at the English Wikipedia,

Since when is this bug about interproject links ?
This is about a namespace alias within Commons as far as I know.

MZMcBride added a comment.Via ConduitNov 7 2010, 2:56 AM

(In reply to comment #22)

Since when is this bug about interproject links ?
This is about a namespace alias within Commons as far as I know.

Ah, that was me conflating issues. My bad.

The implications of possibly having a namespace alias and an interproject prefix that use the same string ("c:") might still be something to consider. This of course presumes that both features would be implemented as such.

MZMcBride added a comment.Via ConduitNov 7 2010, 2:58 AM

(In reply to comment #23)

(In reply to comment #22)
> Since when is this bug about interproject links ?
> This is about a namespace alias within Commons as far as I know.

Ah, that was me conflating issues. My bad.

I changed the bug summary to (hopefully) be clearer ("Create new prefix COM: for Commons" --> "Create project namespace alias "COM" for Commons").

Krinkle added a comment.Via ConduitNov 7 2010, 3:26 AM

(In reply to comment #24)

I changed the bug summary to (hopefully) be clearer ("Create new prefix COM:
for Commons" --> "Create project namespace alias "COM" for Commons").

Okay :) - comment 0 and comment 4 emphasized this though, but the summary was fairly vague about it.

bzimport added a comment.Via ConduitDec 8 2010, 12:20 PM

rehman.wikimedia wrote:

Just trying to keep things from going stale...

Now as the proposal is about the COM: prefix for use only within Commons, why can't it just be implemented sooner?

Are there any clear issues blocking this change from happening?

bzimport added a comment.Via ConduitDec 10 2010, 7:58 AM

anonmoos wrote:

(In reply to comment #26)

Now as the proposal is about the COM: prefix for use only within Commons,
Are there any clear issues blocking this change from happening?

Unless the software has changed recently, it seems that namespaces and interwikis aren't so separate that they can't conflict, and 3-letter combinations are generally reserved for ISO 639-2 language codes. However, "CM:" could be approved if there was some push behind it (i.e. if it was somewhat agreed to at Commons Village Pump, etc.) -- see my comment of January 6.

bzimport added a comment.Via ConduitJan 23 2011, 2:42 AM

rehman.wikimedia wrote:

(In reply to comment #27)

Unless the software has changed recently, it seems that namespaces and
interwikis aren't so separate that they can't conflict, and 3-letter
combinations are generally reserved for ISO 639-2 language codes. However,
"CM:" could be approved if there was some push behind it (i.e. if it was
somewhat agreed to at Commons Village Pump, etc.) -- see my comment of January

I don't understand. We could simply make it function this way:

  • If you type COM in Commons: it would simply function as a project-space shortcut
  • If you type COM outside Commons: it would redirect to Comanche Wiki.

Or am I missing something here?

I don't think creating anything other than COM would be useful; because nobody knows, or is used to this shortcut, and all the current existing shortcuts is COM... I could start a VP discussion to see what is preferred, if anyone finds that useful...

Krinkle added a comment.Via ConduitJan 23 2011, 3:27 AM

(In reply to comment #28)

(In reply to comment #27)
> Unless the software has changed recently, it seems that namespaces and
> interwikis aren't so separate that they can't conflict, and 3-letter
> combinations are generally reserved for ISO 639-2 language codes. However,
> "CM:" could be approved if there was some push behind it (i.e. if it was
> somewhat agreed to at Commons Village Pump, etc.) -- see my comment of January
> 6.

I don't understand. We could simply make it function this way:

  • If you type COM in Commons: it would simply function as a project-space shortcut
  • If you type COM outside Commons: it would redirect to Comanche Wiki.

    Or am I missing something here?

No, (although it's been confused before in this bug) this request is for a simple local namespace alias. No interwiki prefix or whatever.

bzimport added a comment.Via ConduitJan 23 2011, 3:53 AM

rehman.wikimedia wrote:

(In reply to comment #29)

No, (although it's been confused before in this bug) this request is for a
simple local namespace alias. No interwiki prefix or whatever.

So considering all the facts discussed above, from our non-developer point of view there are no issues in assigning COM as a shortcut for Commons at Wikimedia Commons?

bzimport added a comment.Via ConduitJan 23 2011, 5:12 AM

rehman.wikimedia wrote:

I have also started a local discussion here: http://commons.wikimedia.org/w/index.php?title=Commons:Village_pump&oldid=48600763#.22COM:.22_as_a_redirect_to_.22Commons:.22_only_within_Wikimedia_Commons

Please see the current version for updated discussions; an editor did mention that it is almost impossible to have the COM "for use only within Commons", if the Comanche Wikipedia existed.

Also, on a rather different topic, the Wikipedia article states that the language is used by around 200 people only, all of them elderly. It is quite unlikely that one of them would come up and propose a new com.wiki. Not going against the devs, but IMVHO holding up a useful shortcut for an almost-extinct language is sort of unproductive. Just saying.

bzimport added a comment.Via ConduitMar 13 2011, 5:38 AM

rehman.wikimedia wrote:

Considering all WMF policies, is there any chance COM: could be made a namespace alias within Commons?

Krinkle added a comment.Via ConduitMar 16 2011, 11:46 PM

This request is only for a local alias. If and when sucha com: language prefix would be used on our projects, we (Commons community) will have to fix our links.

That is no different from the current situation since there already are links to COM: and pages existant with those names.

Please add the wgNamespaceAliases for commonswiki from 'COM' to NS_PROJECT and run the link fixer to append /BROKEN to any dupes.

bzimport added a comment.Via ConduitJun 25 2011, 3:03 AM

KilliondudeWP wrote:

Poke? As noted by Krinkle, this request is just a local alias, not an interwiki prefix. Please update the appropriate files.

MarkAHershberger added a comment.Via ConduitJun 26 2011, 8:16 PM

Assigning to pdhanda to bump this up on her scale of importance.

Peachey88 added a comment.Via ConduitJun 27 2011, 12:45 AM

this would still cause issues if in future a interwiki matching COM was created, still recommending wontfix as per the previous disuccions.

Krinkle added a comment.Via ConduitJul 4 2011, 9:41 PM

(In reply to comment #36)

this would still cause issues if in future a interwiki matching COM was
created, still recommending wontfix as per the previous disuccions.

I'm not sure how that makes any difference. Currently there are over 720 pages on commonswiki in the Main namespace starting with "COM:". If and when such an interwiki would be created the Commons will have to fix these some how.

That is a fact no matter what.

Bawolff added a comment.Via ConduitJul 4 2011, 9:52 PM

(In reply to comment #36)

this would still cause issues if in future a interwiki matching COM was
created, still recommending wontfix as per the previous disuccions.

Can't we cross that bridge when we come to it? The com language is next to dead (200 speakers total, most elderly), and almost no one uses the whole interlanguage link feature on commons anyways.

bzimport added a comment.Via ConduitJul 6 2011, 3:33 AM

anonmoos wrote:

Bawolff wrote:

almost no one uses the whole interlanguage link feature on commons anyways.

That's not really true -- many gallery and category pages have interwikis.

bzimport added a comment.Via ConduitJul 6 2011, 5:41 PM

pdhanda wrote:

mhershberger asked me to go ahead with COM as the alias. Done.

bzimport added a comment.Via ConduitJul 6 2011, 6:03 PM

pdhanda wrote:

Result of namespaceDupesWT.php

Added the output of namespaceDupesWT.php
There were a few pages that it could not resolve automatically that are in the output.

Attached: namespaceDupes_commonswiki.txt

Bawolff added a comment.Via ConduitJul 6 2011, 6:08 PM

(In reply to comment #41)

Created attachment 8751 [details]
Result of namespaceDupesWT.php

Added the output of namespaceDupesWT.php
There were a few pages that it could not resolve automatically that are in the
output.

Typically the script is run with the option --suffix BROKEN so that local admins can fix the left over pages easily (otherwise one needs to do really technical stuff with the api, or use firebug to modify form elements on special:movepage to rename such pages)

Attached: namespaceDupes_commonswiki.txt

bzimport added a comment.Via ConduitJul 6 2011, 10:21 PM

pdhanda wrote:

Result of cleanupTitles.php on commonswiki

I ran cleanupTitles instead. Hope that works.

Attached: cleanupTitles_commonswiki.txt

Add Comment